#****************************************************************************
#**
#**  File     :  /lua/armordefinition.lua
#**  Author(s):
#**
#**  Summary  :
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
#
# Armor Type Definitions
#

armordefinition = {

    {   # Armor Type Name----------------Light Armor
        'Light',

        # Armor Definition
        'Normal 1.0',
        'AP 1.1',
        'Energy 1.8',
		'Scorch 2.5',
        'Explosive 2',
		'Blast 1.5',
		'Nuke 2',
    },

    {   # Armor Type Name---------------------Medium Armor
        'Medium',

        # Armor Definition
        'Normal 0.8',
        'AP 0.9',
        'Energy 1.2',
		'Scorch 2',
        'Explosive 1.4',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name---------------------Heavy Armor
        'Heavy',

        # Armor Definition
        'Normal 0.7',
        'AP 0.8',
        'Energy 0.85',
		'Scorch 1.8',
        'Explosive 1.0',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name---------------------Heavy Armor
        'SABArmor',

        # Armor Definition
        'Normal 0.67',
        'AP 0.7',
        'Energy 0.78',
		'Scorch 1.2',
        'Explosive 1.2',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name--------------------Experimental Armor
        'Experimental',

        # Armor Definition
        'Normal 1.0',#will be made into 0.55 again
        'AP 0.65',
        'Energy 0.75',
		'Scorch 1.1',
        'ExperimentalFootfall 0.0',  
        'Explosive 0.75',
		'AntiNavy 0.78',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name------------------------Air Armor
        'AirArmor',

        # Armor Definition
        'Normal 0.85',
        'AP 1.0',
        'Energy 1.2',
        'Explosive 1.2',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name------------------------HeavyAir Armor
        'HeavyAirArmor',

        # Armor Definition
        'Normal 0.8',
        'AP 0.9',
        'Energy 0.9',
        'Explosive 1.0',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name----------------------Naval Basic
        'Naval',

        # Armor Definition
        'Normal 0.81',
        'AP 1.0',
        'Energy 1.0',
		'Scorch 1.2',
        'Explosive 1.12',
		'AntiNavy 1.87',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name----------------------Naval Heavy
        'NavalHeavy',

        # Armor Definition
        'Normal 0.77',
        'AP 0.9',
        'Energy 0.9',
		'Scorch 1.0',
        'Explosive 1.0',
		'AntiNavy 1.67',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name-----------------Naval Battleship
        'NavalBship',

        # Armor Definition
        'Normal 0.6',
        'AP 0.7',
        'Energy 0.76',
		'Scorch 0.7',
        'Explosive 0.74',
		'AntiNavy 1.27',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name-----------------------ACU
        'Commander',

        # Armor Definition
        'Normal 1.0',#will be made to .45 again
        'AP 0.5',
		'Scorch 0.395',
        'Overcharge 0.00142',
        'Energy 0.55',
        'Explosive 0.65',
		'AntiNavy 0.63',
		'Blast 1.0',
		'Nuke 1.0',
    },
    {   # Armor Type Name-----------------------StructureT1
        'StructureTeir1',

        # Armor Definition
        'Normal 1.0',
        'AP 1.1',
        'Energy 1.2',
		'Scorch 1.8',
        'Explosive 1.2',
		'AntiNavy 0.95',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name--------------------StructureT2
        'StructureTier2',

        # Armor Definition
        'Normal 0.75',
        'AP 0.8',
        'Energy 0.87',
		'Scorch 1.0',
        'Explosive 0.9',
		'AntiNavy 0.85',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name--------------------StructureT3
        'StructureTier3',

        # Armor Definition
        'Normal 0.65',
        'AP 0.6',
        'Energy 0.77',
		'Scorch 0.8',
        'Explosive 0.7',
		'AntiNavy 0.5',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name--------------------Structure Factory
        'Factory',

        # Armor Definition
        'Normal 0.55',
        'AP 0.6',
        'Energy 0.65',
		'Scorch 0.9',
        'Explosive 0.75',
		'AntiNavy 0.71',
		'Blast 1.5',
		'Nuke 2',
    },
    {   # Armor Type Name--------------------StarFighter
        'StarFighter',

        # Armor Definition
        'Normal 1.0',
        'AP 1.1',
        'Energy 0.4125',
        'Explosive 1.3',
    },
    {   # Armor Type Name--------------------StarShip
        'StarShip',

        # Armor Definition
        'Normal 0.65',
        'AP 1.0',
        'Energy 0.3',
        'Explosive 0.7',
    },
    {   # Armor Type Name--------------------Firebettle
        'Bettle',

        # Armor Definition
        'FireBettle 0.25',
    },
    {   # Armor Type Name
        'Structure',

        # Armor Definition
        'Normal 1.0',
        'Overcharge 0.041666',
    },
}
