#
# Terran Gauss Cannon Projectile
#
local HawkGaussCannonProjectile = import('/mods/HawksmodFA/lua/Hawkeyeprojectiles.lua').HawkGaussCannonProjectile
TDFGauss01 = Class(HawkGaussCannonProjectile) {
    
    OnCreate = function(self, inWater)
        HawkGaussCannonProjectile.OnCreate(self, inWater)
        if not inWater then
            self:SetDestroyOnWater(true)
        else
            self:ForkThread(self.DestroyOnWaterThread)
        end
    end,
    
    DestroyOnWaterThread = function(self)
        WaitSeconds(0.2)
        self:SetDestroyOnWater(true)
    end,
}
TypeClass = TDFGauss01

