#****************************************************************************
#**
#**  File     :  /cdimage/units/UAL0304/UAL0304_script.lua
#**  Author(s):  John Comes, David Tomandl
#**
#**  Summary  :  Aeon Heavy Mobile Artillery Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local ALandUnit = import('/lua/aeonunits.lua').ALandUnit
local ADFDisruptorWeapon = import('/lua/aeonweapons.lua').ADFDisruptorWeapon
local ADFCannonQuantumWeapon = import('/lua/aeonweapons.lua').ADFCannonQuantumWeapon
local AANDepthChargeBombWeapon = import('/lua/aeonweapons.lua').AANDepthChargeBombWeapon

UAL0304 = Class(ALandUnit) {
    Weapons = {
        MainGun = Class(ADFDisruptorWeapon) {},
        SideGun01 = Class(ADFCannonQuantumWeapon) {},
        SideGun02 = Class(ADFCannonQuantumWeapon) {},
        DepthCharge = Class(AANDepthChargeBombWeapon) {},
    },

}

TypeClass = UAL0304