#****************************************************************************
#**
#**  File     :  /cdimage/units/UAA0303/UAA0303_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Air Superiority Fighter Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AAirUnit = import('/lua/aeonunits.lua').AAirUnit
local HawkMissileTacticalSerpentineWeapon = import('/mods/HawksmodFA/lua/Hawkeyeweapons.lua').HawkMissileTacticalSerpentineWeapon

UAA0303 = Class(AAirUnit) {
    Weapons = {
        MissileTube01 = Class(HawkMissileTacticalSerpentineWeapon) {},
        MissileTube02 = Class(HawkMissileTacticalSerpentineWeapon) {},
        MissileTube03 = Class(HawkMissileTacticalSerpentineWeapon) {},
        MissileTube04 = Class(HawkMissileTacticalSerpentineWeapon) {},
    },
}

TypeClass = UAA0303