local EffectUtil = import('/lua/EffectUtilities.lua')
local TWalkingLandUnit = import('/lua/terranunits.lua').TWalkingLandUnit
local TWeapons = import('/lua/terranweapons.lua')
local Weapons2 = import('/mods/HawksmodFA/lua/Hawkeyeweapons.lua')
local TIFCruiseMissileUnpackingLauncher = TWeapons.TIFCruiseMissileUnpackingLauncher
local TANTorpedoLandWeapon = TWeapons.TANTorpedoLandWeapon
local HawkGaussCannonWeapon = Weapons2.HawkGaussCannonWeapon
local TIFCommanderDeathWeapon = TWeapons.TIFCommanderDeathWeapon
local TDFGoliathShoulderBeam = Weapons2.TDFGoliathShoulderBeam


XEL0401 = Class(TWalkingLandUnit) {
    Weapons = {
        HeavyGuassCannon = Class(HawkGaussCannonWeapon) {},
		DeathWeapon = Class(TIFCommanderDeathWeapon) {},
        MissileWeapon = Class(TIFCruiseMissileUnpackingLauncher) {},
        TorpWeapon = Class(TANTorpedoLandWeapon) {},
        LeftLaser = Class(TDFGoliathShoulderBeam) {},
        RightLaser = Class(TDFGoliathShoulderBeam) {},
    },
}

TypeClass = XEL0401